Updates an "other savings" adjustment on a meter and reprocesses savings
Use this endpoint to modify an other savings adjustment’s properties. After editing, savings
are automatically reprocessed for all bills on the meter. Frequency must be one of:
“one-time”, “recurring”, “continuous”. Requires Savings Adjustments Manage permission.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| meterId | Unique numeric identifier of the meter | integer (int32) | Required |
| otherSavingsId | Unique numeric identifier of the other savings adjustment to update | integer (int32) | Required |
Request Body
OtherSavingsRequest
| Property | Description | Type |
|---|---|---|
| annualCycleEndMonth | Month in which the other savings should end This should only be set when the other savings type is recurring Required when frequency is set to recurring, case sensitive. | integer (int32) |
| annualCycleStartMonth | Month in which the other savings should begin This should only be set when the other savings type is recurring Required when frequency is set to recurring, case sensitive. | integer (int32) |
| description | Description Required | string |
| endPeriod | Other savings end period Required when frequency is set to continuous, or recurring, case sensitive. | integer (int32) |
| frequency | Other savings type Possible values are: one-time, continuous and recurring Required | string |
| otherSavingsCategoryId | Other savings category identifier Required | integer (int32) |
| startPeriod | Other savings start period Required | integer (int32) |
| value | Amount saved Required | number (double) |
Example Request Body
{ "annualCycleEndMonth": 1, "annualCycleStartMonth": 1, "description": "string", "endPeriod": 1, "frequency": "string", "otherSavingsCategoryId": 1, "startPeriod": 1, "value": 1.0
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
OtherSavingsResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| annnualCycleStartMonth | Month the other savings should begin This is only set when the other savings type is recurring | integer (int32) | ||||||||||||
| annualCycleEndMonth | Month the other savings should end This is only set when the other savings type is recurring | integer (int32) | ||||||||||||
| costUnit | UnitChild | |||||||||||||
|
UnitChild properties
|
||||||||||||||
| createdBy | UserChild | |||||||||||||
|
UserChild properties
|
||||||||||||||
| createdDate | Create date | string (date-time) | ||||||||||||
| description | Description | string | ||||||||||||
| endPeriod | End period for the other savings | integer (int32) | ||||||||||||
| frequency | Other savings frequency Possible values are: one-time, continuous, and recurring | string | ||||||||||||
| modifiedBy | UserChild | |||||||||||||
|
UserChild properties
|
||||||||||||||
| modifiedDate | Last modified date | string (date-time) | ||||||||||||
| otherSavingsCategory | OtherSavingsCategory | |||||||||||||
|
OtherSavingsCategory properties
|
||||||||||||||
| otherSavingsId | Other savings identifier | integer (int32) | ||||||||||||
| startPeriod | Begin period for the other savings | integer (int32) | ||||||||||||
| value | Amount saved | number (double) | ||||||||||||
Example Response
{ "annnualCycleStartMonth": 1, "annualCycleEndMonth": 1, "costUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-06-29", "description": "string", "endPeriod": 1, "frequency": "string", "modifiedBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "modifiedDate": "2026-06-29", "otherSavingsCategory": { "otherSavingsCategoryId": 1, "otherSavingsCategoryInfo": "string"
}, "otherSavingsId": 1, "startPeriod": 1, "value": 1.0
}
404
Not Found
The requested resource was not found. Verify the ID or path is correct.